Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class AbstractEnvironmentGroup

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject
              org.apache.fop.afp.modca.AbstractTripletStructuredObject
                  org.apache.fop.afp.modca.AbstractNamedAFPObject
                      org.apache.fop.afp.modca.AbstractEnvironmentGroup

All Implemented Interfaces:
  Streamable

Direct Known Subclasses:
  ActiveEnvironmentGroup, ResourceEnvironmentGroup

    public abstract class AbstractEnvironmentGroup

extends AbstractNamedAFPObject

A base class that encapsulates common features of ActiveEnvironmentGroup and ResourceEnvironmentGroup

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary
`protected java.util.List` | `mapDataResources` the collection of MapDataResource objects
`protected java.util.List` | `mapPageOverlays` the collection of MapPageOverlay objects

Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`name`

Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`triplets`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`AbstractEnvironmentGroup(java.lang.String name)` Main constructor

Method Summary
`void` | `createOverlay(java.lang.String name)` Actually creates the MPO object.
`protected java.lang.Object` | `getLastElement(java.util.List list)` Get last element.
`protected void` | `writeContent(java.io.OutputStream os)` Helper method to write the contents of the Object.

Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`copySF, getName, getNameBytes, getNameLength, setName, toString`

Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject
`writeEnd, writeStart, writeToStream`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mapDataResources

    protected final java.util.List mapDataResources

  the collection of MapDataResource objects

### mapPageOverlays

    protected java.util.List mapPageOverlays

  the collection of MapPageOverlay objects

Constructor Detail

### AbstractEnvironmentGroup

    public AbstractEnvironmentGroup(java.lang.String name)

  Main constructor

  Parameters:
    `name` - the object name

Method Detail

### createOverlay

    public void createOverlay(java.lang.String name)

  Actually creates the MPO object. Also creates the supporting object (an IPO)

  Parameters:
    `name` - the name of the overlay to be used

### getLastElement

    protected java.lang.Object getLastElement(java.util.List list)

  Get last element.

  Parameters:
    `list` - of elements
  Returns:
    last element or null if none

### writeContent

    protected void writeContent(java.io.OutputStream os)
                         throws java.io.IOException

  Helper method to write the contents of the Object.

  Overrides:
    `writeContent` in class `AbstractStructuredObject`
  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - throws an I/O exception if one occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.